OpenZWave Library: OpenZWave::CompatOptionManager Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OpenZWave::CompatOptionManager Class Reference

`#include <CompatOptionManager.h>`

## Public Member Functions
| CompatOptionManager (CompatOptionType type, CommandClass *cc)
virtual | ~CompatOptionManager ()
void | SetNodeAndCC (uint8_t node, uint8_t cc)
void | EnableFlag (CompatOptionFlags flag, uint32_t defaultval)
void | ReadXML (TiXmlElement const *_ccElement)
void | WriteXML (TiXmlElement *_ccElement)
bool | GetFlagBool (CompatOptionFlags flag) const
uint8_t | GetFlagByte (CompatOptionFlags flag) const
uint16_t | GetFlagShort (CompatOptionFlags flag) const
uint32_t | GetFlagInt (CompatOptionFlags flag) const
bool | SetFlagBool (CompatOptionFlags flag, bool value)
bool | SetFlagByte (CompatOptionFlags flag, uint8_t value)
bool | SetFlagShort (CompatOptionFlags flag, uint16_t value)
bool | SetFlagInt (CompatOptionFlags flag, uint32_t value)

## Constructor & Destructor Documentation

## ◆ CompatOptionManager()

OpenZWave::CompatOptionManager::CompatOptionManager | ( | CompatOptionType | type,
|  | CommandClass * | cc
| ) |  |

## ◆ ~CompatOptionManager()

OpenZWave::CompatOptionManager::~CompatOptionManager | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ EnableFlag()

void OpenZWave::CompatOptionManager::EnableFlag | ( | CompatOptionFlags | flag,
|  | uint32_t | defaultval
| ) |  |

## ◆ GetFlagBool()

bool OpenZWave::CompatOptionManager::GetFlagBool | ( | CompatOptionFlags | flag | ) | const

## ◆ GetFlagByte()

uint8_t OpenZWave::CompatOptionManager::GetFlagByte | ( | CompatOptionFlags | flag | ) | const

## ◆ GetFlagInt()

uint32_t OpenZWave::CompatOptionManager::GetFlagInt | ( | CompatOptionFlags | flag | ) | const

## ◆ GetFlagShort()

uint16_t OpenZWave::CompatOptionManager::GetFlagShort | ( | CompatOptionFlags | flag | ) | const

## ◆ ReadXML()

void OpenZWave::CompatOptionManager::ReadXML | ( | TiXmlElement const * | _ccElement | ) |

## ◆ SetFlagBool()

bool OpenZWave::CompatOptionManager::SetFlagBool | ( | CompatOptionFlags | flag,
|  | bool | value
| ) |  |

## ◆ SetFlagByte()

bool OpenZWave::CompatOptionManager::SetFlagByte | ( | CompatOptionFlags | flag,
|  | uint8_t | value
| ) |  |

## ◆ SetFlagInt()

bool OpenZWave::CompatOptionManager::SetFlagInt | ( | CompatOptionFlags | flag,
|  | uint32_t | value
| ) |  |

## ◆ SetFlagShort()

bool OpenZWave::CompatOptionManager::SetFlagShort | ( | CompatOptionFlags | flag,
|  | uint16_t | value
| ) |  |

## ◆ SetNodeAndCC()

void OpenZWave::CompatOptionManager::SetNodeAndCC | ( | uint8_t | node,
|  | uint8_t | cc
| ) |  |

## ◆ WriteXML()

void OpenZWave::CompatOptionManager::WriteXML | ( | TiXmlElement * | _ccElement | ) |

The documentation for this class was generated from the following files:

- CompatOptionManager.h
- CompatOptionManager.cpp